<?xml version="1.0" encoding="UTF-8"?>
<value merge="@/graphing/graph2d/bin2d.xml">
    <value key="Binning" type="metaarray">
        <meta key="Count" type="integer">1</meta>
        <meta key="Children" type="metahash">
            <value key="Type" type="metastring">
                <meta key="Description" type="string">Bin definition type</meta>
                <meta key="UndefinedDescription" type="string">Fixed size</meta>
                <meta key="Editor" type="hash">
                    <value key="Type" type="string">Enumeration</value>
                    <value key="DefaultCollapsed" type="boolean">true</value>
                </meta>
                <meta key="EnumerationValues" type="hash">
                    <value key="Uniform" type="hash">
                        <value key="SortPriority" type="integer">0</value>
                        <value key="Description" type="string">A fixed number of uniformly sized bins covering the whole time range</value>
                        <value key="Alias" type="flags">
                            <flag>FixedCount</flag>
                        </value>
                    </value>
                    <value key="FixedSize" type="hash">
                        <value key="SortPriority" type="integer">1</value>
                        <value key="Text" type="string">Fixed size</value>
                        <value key="Description" type="string">A dynamic number of bins, each with a fixed size in time</value>
                        <value key="Alias" type="flags">
                            <flag>Size</flag>
                        </value>
                    </value>
                </meta>
            </value>

            <meta key="Overlay" type="array">
                <value type="hash">
                    <value key="Require" type="hash">
                        <value key="Type" type="string">Uniform</value>
                    </value>
                    <value key="Final" type="boolean">true</value>

                    <value key="Data" type="metahash">
                        <value key="Count" type="metainteger">
                            <meta key="Description" type="string">The total number of bins</meta>
                            <meta key="UndefinedDescription" type="string">5</meta>
                            <meta key="Editor" type="hash">
                                <value key="Minimum" type="integer">1</value>
                            </meta>
                        </value>
                    </value>
                </value>

                <value type="hash">
                    <value key="Require" type="hash">
                        <value key="Type" type="string">FixedSize</value>
                    </value>
                    <value key="Final" type="boolean">true</value>

                    <value key="Data" type="metahash" merge="@/common/timeinterval.xml">
                        <meta key="Description" type="string">The time each bin covers</meta>
                        <meta key="UndefinedDescription" type="string">One hour</meta>
                        <value key="Count" type="metainteger">
                            <meta key="Editor" type="hash">
                                <value key="Minimum" type="integer">1</value>
                            </meta>
                        </value>
                    </value>
                </value>

            </meta>
        </meta>
    </value>
</value>